<div class="header-bar">
    <div class="table-title">
        <h3><?php echo e(__('Fiat Deposit/Withdrawal Settings')); ?></h3>
    </div>
</div>
<div class="profile-info-form">
    <form action="<?php echo e(route('adminCookieSettingsSave')); ?>" method="post"
          enctype="multipart/form-data">
        <?php echo csrf_field(); ?>
        <div class="row">
            <div class="col-lg-6 col-12 mt-20">
                <div class="form-group">
                    <label><?php echo e(__('Enable Fiat Deposit')); ?></label>
                    <div class="cp-select-area">
                        <select name="currency_deposit_status" class="form-control">
                            <option <?php if(isset($settings['currency_deposit_status']) && $settings['currency_deposit_status'] == STATUS_REJECTED): ?> selected <?php endif; ?> value="<?php echo e(STATUS_REJECTED); ?>"><?php echo e(__("No")); ?></option>
                            <option <?php if(isset($settings['currency_deposit_status']) && $settings['currency_deposit_status'] == STATUS_ACTIVE): ?> selected <?php endif; ?> value="<?php echo e(STATUS_ACTIVE); ?>"><?php echo e(__("Yes")); ?></option>
                        </select>
                    </div>
                </div>
            </div>
            <div class="col-lg-6 col-12 mt-20">
                <div class="form-group">
                    <label><?php echo e(__('Enable Fiat Deposit 2FA ')); ?></label>
                    <div class="cp-select-area">
                        <select name="currency_deposit_2fa_status" class="form-control">
                            <option <?php if(isset($settings['currency_deposit_2fa_status']) && $settings['currency_deposit_2fa_status'] == STATUS_ACTIVE): ?> selected <?php endif; ?> value="<?php echo e(STATUS_ACTIVE); ?>"><?php echo e(__("Yes")); ?></option>
                            <option <?php if(isset($settings['currency_deposit_2fa_status']) && $settings['currency_deposit_2fa_status'] == STATUS_REJECTED): ?> selected <?php endif; ?> value="<?php echo e(STATUS_REJECTED); ?>"><?php echo e(__("No")); ?></option>
                        </select>
                    </div>
                </div>
            </div>
        </div>
        <div class="row">
            <div class="col-lg-6 col-12  mt-20">
                <div class="form-group">
                    <label for="#"><?php echo e(__('Fiat Deposit Fees Type')); ?></label>
                    <div class="cp-select-area">
                        <select name="fiat_deposit_fees_type" class="form-control" data-width="100%" data-style="btn-dark">
                            <option <?php if(isset($settings['fiat_deposit_fees_type']) && $settings['fiat_deposit_fees_type'] == Fiat_Withdraw_PERCENT ): ?> selected <?php endif; ?> value="<?php echo e(Fiat_Withdraw_PERCENT); ?>"><?php echo e(fiat_widthraw_type(Fiat_Withdraw_PERCENT)); ?></option>
                            <option <?php if(isset($settings['fiat_deposit_fees_type']) && $settings['fiat_deposit_fees_type'] == Fiat_Withdraw_FIXED ): ?> selected <?php endif; ?> value="<?php echo e(Fiat_Withdraw_FIXED); ?>"><?php echo e(fiat_widthraw_type(Fiat_Withdraw_FIXED)); ?></option>
                        </select>
                    </div>
                </div>
            </div>
            <div class="col-lg-6 col-12  mt-20">
                <div class="form-group">
                    <label for="#"><?php echo e(__('Fiat Deposit Fees')); ?></label>

                    <input class="form-control" type="text" name="fiat_deposit_fees_value"
                           placeholder="0.0000"
                           value="<?php echo e($settings['fiat_deposit_fees_value'] ?? 0.000); ?>">

                </div>
            </div>
        </div>
        <div class="row">
            <div class="col-lg-6 col-12  mt-20">
                <div class="form-group">
                    <label for="#"><?php echo e(__('Fiat Withdrawal Fees Type')); ?></label>
                    <div class="cp-select-area">
                        <select name="fiat_withdrawal_type" class="form-control" data-width="100%" data-style="btn-dark">
                            <option <?php if(isset($settings['fiat_withdrawal_type']) && $settings['fiat_withdrawal_type'] == Fiat_Withdraw_PERCENT ): ?> selected <?php endif; ?> value="<?php echo e(Fiat_Withdraw_PERCENT); ?>"><?php echo e(fiat_widthraw_type(Fiat_Withdraw_PERCENT)); ?></option>
                            <option <?php if(isset($settings['fiat_withdrawal_type']) && $settings['fiat_withdrawal_type'] == Fiat_Withdraw_FIXED ): ?> selected <?php endif; ?> value="<?php echo e(Fiat_Withdraw_FIXED); ?>"><?php echo e(fiat_widthraw_type(Fiat_Withdraw_FIXED)); ?></option>
                        </select>
                    </div>
                </div>
            </div>
            <div class="col-lg-6 col-12  mt-20">
                <div class="form-group">
                    <label for="#"><?php echo e(__('Fiat Withdrawal Fees')); ?></label>

                    <input class="form-control" type="text" name="fiat_withdrawal_value"
                           placeholder="0.0000"
                           value="<?php echo e($settings['fiat_withdrawal_value'] ?? 0.000); ?>">

                </div>
            </div>
        </div>
        <div class="row">
            <div class="col-lg-2 col-12 mt-20">
                <button class="button-primary theme-btn"><?php echo e(__('Update')); ?></button>
            </div>
        </div>
    </form>
</div>
<?php /**PATH /var/www/html/tradexpro-admin/resources/views/admin/settings/feature/deposit_setting.blade.php ENDPATH**/ ?>