<?php $__env->startSection('title', isset($title) ? $title : __('ICO List')); ?>
<?php $__env->startSection('style'); ?>
<?php $__env->stopSection(); ?>
<?php $__env->startSection('sidebar'); ?>
<?php echo $__env->make('icolaunchpad::layouts.sidebar',['menu'=>'ico_list'], \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
<?php $__env->stopSection(); ?>
<?php $__env->startSection('content'); ?>
    <!-- breadcrumb -->
    <div class="custom-breadcrumb">
        <div class="row">
            <div class="col-5">
                <ul>
                    <li class="active-item"><?php echo e($title); ?></li>
                </ul>
            </div>
            <div class="col-sm-7 text-right">
                <a class="add-btn theme-btn" href="<?php echo e(route('addNewICO')); ?>"><?php echo e(__('Add New')); ?></a>
            </div>
        </div>
    </div>
    <!-- /breadcrumb -->
    <?php ($user = auth()->user()); ?>
    <div class="user-management">
        <div class="row">
            <div class="col-12">
                <div class="header-bar p-4">
                    <div class="table-title">
                        <h3><?php echo e($title); ?></h3>
                    </div>
                </div>
                <div class="card-body">
                    <div class="table-area payment-table-area">
                        <div class="table-responsive">
                            <table id="table" class="table table-borderless custom-table display text-center" width="100%">
                                <thead>
                                <tr>
                                    <th scope="col"><?php echo e(__('Token Name')); ?></th>
                                    <th scope="col"><?php echo e(__('Coin Type')); ?></th>
                                    <th scope="col"><?php echo e(__('User Email')); ?></th>
                                    <th scope="col"><?php echo e(__('Approved Status')); ?> </th>
                                    <th scope="col"><?php echo e(__('Created At')); ?></th>
                                    <th scope="col"><?php echo e(__('Action')); ?></th>
                                </tr>
                                </thead>
                                <tbody>
                                <?php if(isset($ico_list)): ?>
                                    <?php $__currentLoopData = $ico_list; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $value): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <tr>
                                            <td> <?php echo e($value->token_name); ?> </td>
                                            <td> <?php echo e($value->coin_type); ?></td>
                                            <td>
                                                <?php echo e(isset($value->user)?$value->user->email: __('Not Found')); ?>

                                            </td>
                                           <td>
                                                <?php if($value->approved_status == STATUS_ACCEPTED): ?>
                                                    
                                                    <?php echo ICOstatusAction(STATUS_ACCEPTED); ?>

                                                    
                                                <?php elseif($value->approved_status == STATUS_PENDING): ?>
                                                    
                                                    <?php echo ICOstatusAction(STATUS_PENDING); ?>

                                                    
                                                <?php elseif($value->approved_status == STATUS_MODIFICATION): ?>
                                                    
                                                    <?php echo ICOstatusAction(STATUS_MODIFICATION); ?>

                                                    
                                                <?php elseif($value->approved_status == STATUS_REJECTED): ?>
                                                   
                                                    <?php echo ICOstatusAction(STATUS_REJECTED); ?>

                                                    
                                                <?php endif; ?>
                                           </td>
                                            <td>
                                                <?php echo e($value->created_at); ?>

                                            </td>
                                            <td>
                                                <ul class="d-flex activity-menu">
                                                    <li class="viewuser">
                                                        <a href="<?php echo e(route('editICO', encrypt($value->id))); ?>" title="<?php echo e(__("Update")); ?>" class="btn btn-primary btn-sm">
                                                            <?php echo e(__('view')); ?>

                                                        </a>
                                                    </li>
                                                    <li class="viewuser">
                                                        <a href="<?php echo e(route('listICOPhase', encrypt($value->id))); ?>" title="<?php echo e(__("Update")); ?>" class="btn btn-warning btn-sm">
                                                            <?php echo e(__('Phases')); ?>

                                                        </a>
                                                    </li>
                                                    <?php if($value->is_updated == STATUS_ACTIVE): ?>
                                                        <li class="viewuser">
                                                            <a href="<?php echo e(route('updateRequestTableInfo',['type'=>ICO_TOKEN_TABLE, 'id'=> encrypt($value->id)])); ?>" title="<?php echo e(__("Update")); ?>" class="btn btn-warning btn-sm">
                                                                <?php echo e(__('Update Request')); ?>

                                                            </a>
                                                        </li>
                                                    <?php endif; ?>
                                                    <?php if($user->id == $value->user_id): ?>
                                                        <li class="viewuser">
                                                            <a href="<?php echo e(route('addNewICOPhase', encrypt($value->id))); ?>" title="<?php echo e(__("Update")); ?>" class="btn btn-info btn-sm">
                                                                <?php echo e(__('Phases Create')); ?>

                                                            </a>
                                                        </li>
                                                        <li class="viewuser">
                                                            <a href="<?php echo e(route('translationListICO', encrypt($value->id))); ?>" title="<?php echo e(__("Update Language Text")); ?>" class="btn btn-info btn-sm">
                                                                <?php echo e(__('Update Language')); ?>

                                                            </a>
                                                        </li>
                                                    <?php endif; ?>
                                                    <li class="viewuser">
                                                        <a href="<?php echo e(route('getICOChatDetails', encrypt($value->id))); ?>" title="<?php echo e(__("Chat")); ?>" class="btn btn-success btn-sm">
                                                            <?php echo e(__('Chat')); ?>

                                                        </a>
                                                    </li>
                                                </ul>
                                            </td>
                                        </tr>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                <?php else: ?>
                                    <tr>
                                        <td colspan="6"><?php echo e(__('No data found')); ?></td>
                                    </tr>
                                <?php endif; ?>
                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
<?php $__env->stopSection(); ?>
<?php $__env->startSection('script'); ?>
<script>
  (function($) {
            "use strict";
            $('#table').DataTable({
                responsive: true,
                paging: true,
                searching: true,
                ordering:  true,
                select: false,
                bDestroy: true
            });
        })(jQuery);
        
        function processForm(id) {
            $.ajax({
                type: "POST",
                url: "<?php echo e(route('icoStatusChange')); ?>",
                data: {
                    '_token': "<?php echo e(csrf_token()); ?>",
                    'id': id
                },
                success: function (data) {
                    console.log(data);
                }
            });
        }
</script>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('admin.master', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /var/www/html/tradexpro-admin/Modules/IcoLaunchpad/Providers/../Resources/views/ico/ico-list.blade.php ENDPATH**/ ?>