<?php $__env->startSection('title', isset($title) ? $title : ''); ?>
<?php $__env->startSection('style'); ?>
<?php $__env->stopSection(); ?>
<?php $__env->startSection('content'); ?>
    <!-- breadcrumb -->
    <div class="custom-breadcrumb">
        <div class="row">
            <div class="col-md-9">
                <ul>
                    <li><?php echo e(__('Network')); ?></li>
                    <li class="active-item"><?php echo e($title); ?></li>
                </ul>
            </div>
        </div>
    </div>
    <!-- /breadcrumb -->
    <?php
        $demoTrade = (isset($module) && isset($module['DemoTrade'])) ? true : false ;
    ?>
    <!-- User Management -->
    <div class="user-management pt-4">
        <div class="row">
            <div class="col-12">
                <div class="header-bar">
                    <div class="table-title">
                        <!-- <h3><?php echo e($title); ?></h3> -->
                    </div>
                    <div class="right d-flex align-items-center">
                        <div class="add-btn-new mb-2 ml-2">
                            <a href="<?php echo e(route('createCoinNetwork')); ?>"><?php echo e(__('Add New Coin Network')); ?></a>
                        </div>
                    </div>
                </div>
                <div class="table-area">
                    <div class="table-responsive">
                        <table id="table" class=" table table-borderless custom-table display text-lg-center" width="100%">
                            <thead>
                                <tr>
                                    <th><?php echo e(__('Logo')); ?></th>
                                    <th><?php echo e(__('Currency')); ?></th>
                                    <th><?php echo e(__('Type')); ?></th>
                                    <th><?php echo e(__('Network')); ?></th>
                                    <th><?php echo e(__('Status')); ?></th>
                                    <th><?php echo e(__('Created At')); ?></th>
                                    <th><?php echo e(__('Updated At')); ?></th>
                                    <th><?php echo e(__('Actions')); ?></th>
                                </tr>
                            </thead>
                        </table>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <!-- /User Management -->

<?php $__env->stopSection(); ?>
<?php $__env->startSection('script'); ?>
    <script>

        function changeNetworkStatus(id){
            $.post(
                "<?php echo e(route('changeCoinNetworkStatus')); ?>",
                {
                    id : id,
                    _token : "<?php echo e(csrf_token()); ?>",
                },
                function(response){
                    if(response.success){
                        VanillaToasts.create({
                            text: response.message,
                            type: 'success',
                            timeout: 40000
                        });
                    }else{
                        VanillaToasts.create({
                            text: response.message,
                            type: 'warning',
                            timeout: 40000
                        });
                    }
                }
            )
        }

        (function($) {
            "use strict";
            $('#table').DataTable({
                responsive: true,
                serverSide: true,
                paging: true,
                ordering:  true,
                select: false,
                bDestroy: true,
                columns: [
                    {"data": "logo"},
                    {"data": "coin.coin_type", "searchable": true},
                    {"data": "type"},
                    {"data": "network.name", "searchable": true},
                    {"data": "status"},
                    {"data": "created_at"},
                    {"data": "updated_at"},
                    {"data": "actions"}
                ]
            });
        })(jQuery);
    </script>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('admin.master',['menu'=>'coin_namagement', 'sub_menu' => 'coin_network'], \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /var/www/html/tradexpro-admin/resources/views/admin/coin_management/coin_network/coin_network.blade.php ENDPATH**/ ?>