<?php $__env->startSection('title', isset($title) ? $title :  __('ICO Add')); ?>
<?php $__env->startSection('style'); ?>
<?php $__env->stopSection(); ?>
<?php $__env->startSection('sidebar'); ?>
<?php echo $__env->make('icolaunchpad::layouts.sidebar',['menu'=>'ico_list'], \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
<?php $__env->stopSection(); ?>
<?php $__env->startSection('content'); ?>
    <!-- breadcrumb -->
    <div class="custom-breadcrumb">
        <div class="row">
            <div class="col-8">
                <ul>
                    <li class="active-item"><?php echo e($title); ?></li>
                </ul>
            </div>
            <div class="col-md-4">
                <div class="pull-right">
                    <?php if(isset($item) && $item->approved_status == STATUS_PENDING ): ?>
                        <a href="#accepted_ICO_Token" data-toggle="modal" class="add-btn theme-btn"><?php echo e(__('Accept')); ?></a>
                        <a href="#modification_ICO_Token" data-toggle="modal" class="add-btn theme-btn"><?php echo e(__('Modification')); ?></a>
                        <a href="#reject_ICO_Token" data-toggle="modal" class="add-btn theme-btn"><?php echo e(__('Reject')); ?></a>
                    <?php endif; ?>
                </div>
            </div>
        </div>
    </div>
    <!-- /breadcrumb -->
    <?php ($user = auth()->user()); ?>
    <div class="user-management">
        <div class="row">
            <div class="col-12">
                <div class="profile-info-form">
                    <div class="card-body">
                        <form action="<?php echo e(route('storeUpdateICO')); ?>" method="post" enctype="multipart/form-data">
                            <?php echo csrf_field(); ?>

                            <?php if(isset($item)): ?>
                                <input type="hidden" name="id" value="<?php echo e($item->id); ?>">
                            <?php endif; ?>
                            <div class="row">
                                <div class="col-md-6 mt-20">
                                    <div class="form-group">
                                        <label for="form_id"><?php echo e(__('ICO Submit Form ID')); ?></label>
                                        <input type="text" name="form_id" class="form-control" id="form_id" placeholder="<?php echo e(__('ICO Submit Form ID')); ?>"
                                               <?php if(isset($item)): ?> value="<?php echo e($item->form_id); ?>" <?php else: ?> value="<?php echo e(old('form_id')); ?>" <?php endif; ?>>
                                    </div>
                                </div>
                                <div class="col-md-6 mt-20">
                                    <div class="form-group">
                                        <label for="network"><?php echo e(__('Network')); ?></label>
                                        <select name="network" id="choose_network" class="form-control">
                                            <option value=""><?php echo e(__('Select')); ?></option>
                                            <?php if(isset($networks)): ?>
                                                <?php $__currentLoopData = $networks; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $network): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                    <option value="<?php echo e($network->id); ?>"><?php echo e($network->name); ?></option>
                                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                            <?php endif; ?>
                                        </select>
                                    </div>
                                </div>
                                <div class="col-md-6 mt-20">
                                    <div class="form-group">
                                        <label for="chain_id"><?php echo e(__('Base Coin')); ?></label>
                                        <input class="form-control" type="text" id="base_coin_id" name="base_coin"
                                        <?php if(isset($item)): ?> value="<?php echo e($item->base_coin); ?>" <?php else: ?> value="<?php echo e(old('base_coin')); ?>" <?php endif; ?> readonly>

                                    </div>
                                </div>
                                <div class="col-md-6 mt-20">
                                    <div class="form-group">
                                        <label for="chain_link"><?php echo e(__('Chain Link')); ?></label>
                                        <input type="text" name="chain_link" class="form-control" id="chain_link" placeholder="<?php echo e(__('Chain Link')); ?>"
                                               <?php if(isset($item)): ?> value="<?php echo e($item->chain_link); ?>" <?php else: ?> value="<?php echo e(old('chain_link')); ?>" <?php endif; ?>>
                                    </div>
                                </div>
                                <div class="col-md-6 mt-20">
                                    <div class="form-group">
                                        <label for="contract_address"><?php echo e(__('Contract Address')); ?></label>
                                        <input type="text" name="contract_address" class="form-control" id="contract_address" placeholder="<?php echo e(__('Contract Address')); ?>"
                                               <?php if(isset($item)): ?> value="<?php echo e($item->contract_address); ?>" <?php else: ?> value="<?php echo e(old('contract_address')); ?>" <?php endif; ?>>
                                    </div>
                                </div>
                                <div class="col-md-6 mt-20">
                                    <div class="form-group">
                                        <label for="wallet_address"><?php echo e(__('Wallet Address')); ?></label>
                                        <input type="text" name="wallet_address" class="form-control" id="wallet_address" placeholder="<?php echo e(__('Wallet Address')); ?>"
                                               <?php if(isset($item)): ?> value="<?php echo e($item->wallet_address); ?>" <?php else: ?> value="<?php echo e(old('wallet_address')); ?>" <?php endif; ?>>
                                    </div>
                                </div>
                                <?php if(isset($item) && $user->id == $item->user_id): ?>
                                    <div class="col-md-6 mt-20">
                                        <div class="form-group">
                                            <label for="wallet_private_key"><?php echo e(__('Wallet Private Key')); ?></label>
                                            <input type="password" name="wallet_private_key" class="form-control" id="wallet_private_key" placeholder="<?php echo e(__('Wallet Private Key')); ?>"
                                                <?php if(isset($item)): ?> value="<?php echo e(decrypt($item->wallet_private_key)); ?>" <?php else: ?> value="<?php echo e(old('wallet_private_key')); ?>" <?php endif; ?>>
                                        </div>
                                    </div>
                                <?php elseif(!isset($item)): ?>
                                    <div class="col-md-6 mt-20">
                                        <div class="form-group">
                                            <label for="wallet_private_key"><?php echo e(__('Wallet Private Key')); ?></label>
                                            <input type="password" name="wallet_private_key" class="form-control" id="wallet_private_key" placeholder="<?php echo e(__('Wallet Private Key')); ?>"
                                                <?php if(isset($item)): ?> value="<?php echo e($item->wallet_private_key); ?>" <?php else: ?> value="<?php echo e(old('wallet_private_key')); ?>" <?php endif; ?>>
                                        </div>
                                    </div>
                                <?php endif; ?>
                                <div class="col-md-6 mt-20">
                                    <div class="form-group">
                                        <label for="#"><?php echo e(__('Gas Limit')); ?></label>
                                        <input type="text" name="gas_limit" class="form-control"
                                               <?php if(isset($item->gas_limit)): ?> value="<?php echo e($item->gas_limit); ?>" <?php else: ?> value="73000" <?php endif; ?>>
                                    </div>
                                </div>


                                <div class="col-md-6 mt-20">
                                    <div class="form-group">
                                        <label for="coin_type"><?php echo e(__('Coin Type')); ?></label>
                                        <input type="text" name="coin_type" class="form-control" id="coin_type" placeholder="<?php echo e(__('Coin Type')); ?>"
                                               <?php if(isset($item)): ?> value="<?php echo e($item->coin_type); ?>" <?php else: ?> value="<?php echo e(old('coin_type')); ?>" <?php endif; ?> readonly>
                                    </div>
                                </div>

                                <div class="col-md-6 mt-20">
                                    <div class="form-group">
                                        <label for="token_name"><?php echo e(__('Token Name')); ?></label>
                                        <input type="text" name="token_name" class="form-control" id="token_name" placeholder="<?php echo e(__('Token Name')); ?>"
                                               <?php if(isset($item)): ?> value="<?php echo e($item->token_name); ?>" <?php else: ?> value="<?php echo e(old('token_name')); ?>" <?php endif; ?> readonly>
                                    </div>
                                </div>

                                <div class="col-md-6 mt-20">
                                    <div class="form-group">
                                        <label for="chain_id"><?php echo e(__('Chain Id')); ?></label>
                                        <input type="text" name="chain_id" class="form-control" id="chain_id" placeholder="<?php echo e(__('Chain Id')); ?>"
                                               <?php if(isset($item)): ?> value="<?php echo e($item->chain_id); ?>" <?php else: ?> value="<?php echo e(old('chain_id')); ?>" <?php endif; ?> readonly>
                                    </div>
                                </div>

                                <div class="col-md-6 mt-20">
                                    <div class="form-group">
                                        <label for="decimal"><?php echo e(__('Decimal')); ?></label>
                                        <input type="text" name="decimal" class="form-control" id="decimal"
                                        <?php if(isset($item)): ?> value="<?php echo e($item->decimal); ?>" <?php else: ?> value="<?php echo e(old('decimal')); ?>" <?php endif; ?> readonly>

                                    </div>
                                </div>
                                <div class="col-md-6 mt-20">
                                    <div class="form-group">
                                        <label for="website_link"><?php echo e(__('Website Link')); ?> <?php echo e(__('Optional')); ?></label>
                                        <input type="text" name="website_link" class="form-control"
                                        <?php if(isset($item)): ?> value="<?php echo e($item->website_link); ?>" <?php else: ?> value="<?php echo e(old('website_link')); ?>" <?php endif; ?>>

                                    </div>
                                </div>
                                <div class="col-md-12">
                                    <div class="row">
                                        <div class="col-md-6 mt-20">
                                            <div class="form-group">
                                                <label for="details_rule"><?php echo e(__('Details Rule')); ?>  <?php echo e(__('Optional')); ?></label>
                                                <textarea name="details_rule" rows="4" class="form-control" ><?php if(isset($item)): ?> <?php echo e($item->details_rule); ?> <?php else: ?> <?php echo e(old('website_link')); ?> <?php endif; ?></textarea>
                                            </div>
                                        </div>
                                        <div class="col-md-6 mt-20">
                                            <div class="single-uplode">
                                                <label for=""><?php echo e(__('Icon')); ?></label>
                                                <div class="form-group buy_coin_address_input ">
                                                    <div id="file-upload" class="section-p">
                                                        <input type="file" name="image" value=""
                                                               id="file" ref="file" class="dropify"
                                                               <?php if(isset($item)): ?>  data-default-file="<?php echo e($item->image_path); ?>" <?php endif; ?> />
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>

                                <?php if(isset($item) && $user->id == $item->user_id): ?>
                                    <div class="col-md-12">
                                        <button class="button-primary theme-btn"><?php if(isset($item)): ?> <?php echo e(__('Update')); ?> <?php else: ?> <?php echo e(__('Save')); ?> <?php endif; ?></button>
                                    </div>
                                <?php elseif(!isset($item)): ?>
                                    <div class="col-md-12">
                                        <button class="button-primary theme-btn"><?php if(isset($item)): ?> <?php echo e(__('Update')); ?> <?php else: ?> <?php echo e(__('Save')); ?> <?php endif; ?></button>
                                    </div>
                                <?php endif; ?>
                            </div>
                        </form>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <?php if(isset($item)): ?>
        <div id="accepted_ICO_Token" class="modal fade delete" role="dialog">
            <div class="modal-dialog modal-sm">
                <div class="modal-content">
                    <div class="modal-header">
                        <h6 class="modal-title"><?php echo e(__('Accepted')); ?> </h6>
                        <button type="button" class="close" data-dismiss="modal">&times;</button>
                    </div>
                    <form action="<?php echo e(route('acceptedICOToken')); ?>" method="post">
                        <?php echo csrf_field(); ?>
                        <div class="modal-body">
                            <p><?php echo e(__('Are You sure? Want to accept it.')); ?></p>
                            <input type="hidden" name="id" value="<?php echo e($item->id); ?>">
                            <label for=""><?php echo e(__('Message')); ?>:</label>
                            <textarea class="form-control" name="message" rows="3" required></textarea>
                        </div>
                        <div class="modal-footer">
                            <button type="button" class="btn btn-default" data-dismiss="modal"><?php echo e(__("Close")); ?></button>
                            <button class="btn btn-danger" type="submit"><?php echo e(__('Confirm')); ?></a>
                        </div>
                    </form>

                </div>
            </div>
        </div>
        <div id="modification_ICO_Token" class="modal fade delete" role="dialog">
            <div class="modal-dialog modal-sm">
                <div class="modal-content">
                    <div class="modal-header">
                        <h6 class="modal-title"><?php echo e(__('Modification')); ?> </h6>
                        <button type="button" class="close" data-dismiss="modal">&times;</button>
                    </div>
                    <form action="<?php echo e(route('modificationICOToken')); ?>" method="post">
                        <?php echo csrf_field(); ?>
                        <div class="modal-body">
                            <p><?php echo e(__('Are You sure? Need this token modification')); ?></p>
                            <input type="hidden" name="id" value="<?php echo e($item->id); ?>">
                            <label for=""><?php echo e(__('Message')); ?>:</label>
                            <textarea class="form-control" name="message" rows="3" required></textarea>
                        </div>
                        <div class="modal-footer">
                            <button type="button" class="btn btn-default" data-dismiss="modal"><?php echo e(__("Close")); ?></button>
                            <button class="btn btn-danger" type="submit"><?php echo e(__('Confirm')); ?></a>
                        </div>
                    </form>

                </div>
            </div>
        </div>
        <div id="reject_ICO_Token" class="modal fade delete" role="dialog">
            <div class="modal-dialog modal-sm">
                <div class="modal-content">
                    <div class="modal-header">
                        <h6 class="modal-title"><?php echo e(__('Reject')); ?> </h6>
                        <button type="button" class="close" data-dismiss="modal">&times;</button>
                    </div>
                    <form action="<?php echo e(route('rejectedICOToken')); ?>" method="post">
                        <?php echo csrf_field(); ?>
                        <div class="modal-body">
                            <p><?php echo e(__('Are You sure? Want to reject it.')); ?></p>
                            <input type="hidden" name="id" value="<?php echo e($item->id); ?>">
                            <label for=""><?php echo e(__('Message')); ?>:</label>
                            <textarea class="form-control" name="message" rows="3" required></textarea>
                        </div>
                        <div class="modal-footer">
                            <button type="button" class="btn btn-default" data-dismiss="modal"><?php echo e(__("Close")); ?></button>
                            <button class="btn btn-danger" type="submit"><?php echo e(__('Confirm')); ?></a>
                        </div>
                    </form>

                </div>
            </div>
        </div>
    <?php endif; ?>
<?php $__env->stopSection(); ?>
<?php $__env->startSection('script'); ?>
   <script>
     (function($) {
            "use strict";

            const fileInput = document.querySelector('input[type=file]');

            fileInput.addEventListener('change', (event) => {
            const file = event.target.files[0];
            const maxSize = 2000000; // 1 MB in bytes

            if (file.size > maxSize) {
                
                VanillaToasts.create({
                    text: '<?php echo e(__('File size is too large. Maximum allowed size is 2 MB.')); ?>',
                    type: 'warning',
                    timeout: 40000
                });
                fileInput.value = ''; // clear the selected file
            }
            });

            $('#choose_network').on('change',function(){
                var chooseNetworkValue = $('#choose_network').val();
                if(chooseNetworkValue == <?php echo e(ERC20_TOKEN); ?>)
                {
                    $('#base_coin_id').val('ETH');

                }else if(chooseNetworkValue == <?php echo e(BEP20_TOKEN); ?>)
                {
                    $('#base_coin_id').val('BNB');
                }

            });

            $('#contract_address').focusin(function(){
                var chainLink = $('#chain_link').val();

                if(chainLink =='')
                {
                    VanillaToasts.create({
                        text: '<?php echo e(__("Please, Provide Chain Link First!")); ?>',
                        type: 'warning',
                        timeout: 4000
                    });

                    $('#chain_link').focus();
                    $('#contract_address').val('');
                }
            });
            $('#contract_address').focusout(function(){
                var chainLink = $('#chain_link').val();

                var contactAddress = $('#contract_address').val();
                if(chainLink !=null && contactAddress != null)
                {
                    console.log('id');
                    $.ajax({
                        type: "POST",
                        url: "<?php echo e(route('getAddressDettailsApi')); ?>",
                        data: {
                            '_token': "<?php echo e(csrf_token()); ?>",
                            'contract_address': contactAddress,
                            'chain_link':chainLink
                        },
                        success: function (data) {

                            if(data.success == true)
                            {
                                VanillaToasts.create({
                                    text: '<?php echo e(__("your address is valid")); ?>',
                                    type: 'success',
                                    timeout: 4000
                                });
                                $('#coin_type').val(data.data.symbol);
                                $('#token_name').val(data.data.name);
                                $('#chain_id').val(data.data.chain_id);
                                $('#decimal').val(data.data.token_decimal);
                                console.log(data.data.name);
                            }else{
                                VanillaToasts.create({
                                    text: data.message,
                                    type: 'warning',
                                    timeout: 4000
                                });

                            }
                        }
                    });
                }

            });
        })(jQuery);
   </script>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('admin.master', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /var/www/html/tradexpro-admin/Modules/IcoLaunchpad/Providers/../Resources/views/ico/addEdit-ICO.blade.php ENDPATH**/ ?>