<?php $__env->startSection('title', isset($title) ? $title : __('ICO Dashboard')); ?>
<?php $__env->startSection('style'); ?>
<?php $__env->stopSection(); ?>
<?php $__env->startSection('sidebar'); ?>
<?php echo $__env->make('icolaunchpad::layouts.sidebar',['menu'=>'ico_dashboard'], \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
<?php $__env->stopSection(); ?>
<?php $__env->startSection('content'); ?>
    <!-- breadcrumb -->
    <div class="custom-breadcrumb">
        <div class="row">
            <div class="col-9">
                <ul>
                    <li class="active-item"><?php echo e($title); ?></li>
                </ul>
            </div>
        </div>
    </div>
    <!-- /breadcrumb -->
    <div class="user-management">

<div class="row">
    <?php if(isset($recent_tokens) && !empty($recent_tokens)): ?>
        <?php $__currentLoopData = $recent_tokens; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $token): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
            <div class="col-xl-4 col-md-6 col-12 mb-4">
                <div class="card status-card status-card-bg-read">
                    <div class="card-body py-0">
                        <div class="status-card-inner">
                            <div class="content">
                                <p><?php echo e(getNetworkNameByType($token->network_id)); ?></p>
                                <p>
                                
                                    <?php echo e(__('Token Name')); ?>: <?php echo e($token->token_name); ?> <br/>
                                    <?php echo e(__('Token Type')); ?>: <?php echo e($token->coin_type); ?> <br/>
                                    <?php echo e(__('Base Coin')); ?>: <?php echo e($token->base_coin); ?> <br/>
                                    <?php echo e(__('OwnBy')); ?>: <?php echo e($token->user->first_name.' '.$token->user->last_name); ?> <br/>

                                </p>
                            
                            </div>
                            <div class="icon">
                                <img src="<?php echo e(asset('assets/admin/images/status-icons/money.svg')); ?>" class="img-fluid" alt="">
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
    <?php endif; ?>
    <?php if(false): ?>
    <div class="col-xl-4 col-md-6 col-12 mb-4">
        <div class="card status-card status-card-bg-average">
            <div class="card-body py-0">
                <div class="status-card-inner">
                    <div class="content">
                        <p><?php echo e(__('Launchpad Request')); ?></p>
                        <h3><?php echo e($launchpad_request); ?></h3>
                        <a href="<?php echo e(route('adminUserCoinList')); ?>" class=" mt-3 btn btn-sm btn-warning"><?php echo e(__("Show More")); ?></a>
                    </div>
                    <div class="icon">
                        <img src="<?php echo e(asset('assets/admin/images/status-icons/team.svg')); ?>" class="img-fluid" alt="">
                    </div>
                </div>
            </div>
        </div>
    </div>
    <div class="col-xl-4 col-md-6 col-12 mb-4">
        <div class="card status-card status-card-bg-average">
            <div class="card-body py-0">
                <div class="status-card-inner">
                    <div class="content">
                        <p><?php echo e(__('Total Earning')); ?></p>
                        <h3><?php echo e($total_earn); ?></h3>
                        <a href="<?php echo e(route('adminEarningReport')); ?>" class=" mt-3 btn btn-sm btn-warning"><?php echo e(__("Show More")); ?></a>
                    </div>
                    <div class="icon">
                        <img src="<?php echo e(asset('assets/admin/images/status-icons/funds.svg')); ?>" class="img-fluid" alt="">
                    </div>
                </div>
            </div>
        </div>
    </div>
    <?php endif; ?>
</div>

    <!-- user chart -->
    <div class="user-chart mt-0">
        <div class="row">
            <div class="col-md-6 mb-4 mb-md-0">
                <div class="card">
                    <div class="card-body">
                        <div class="card-top">
                            <h4><?php echo e(__('Total Sale')); ?></h4>
                        </div>
                        <p class="subtitle"><?php echo e(__('Current Year')); ?></p>
                        <canvas id="depositChart"></canvas>
                    </div>
                </div>
            </div>
        </div>
    </div>

    </div>
<?php $__env->stopSection(); ?>
<?php $__env->startSection('script'); ?>
    <script src="<?php echo e(asset('assets/common/chart/chart.min.js')); ?>"></script>
    <script>
        (function($) {
            "use strict";
            var ctx = document.getElementById('depositChart').getContext("2d")
            console.log(ctx);
            var depositChart = new Chart(ctx, {
                type: 'line',
                yaxisname: "Monthly Deposit",

                data: {
                    labels: ["Jan", "Feb", "Mar", "Apr", "May", "Jun", "Jul", "Aug", "Sep", "Oct", "Nov", "Dec"],
                    datasets: [{
                        label: "Monthly Deposit",
                        borderColor: "#1cf676",
                        pointBorderColor: "#1cf676",
                        pointBackgroundColor: "#1cf676",
                        pointHoverBackgroundColor: "#1cf676",
                        pointHoverBorderColor: "#D1D1D1",
                        pointBorderWidth: 4,
                        pointHoverRadius: 2,
                        pointHoverBorderWidth: 1,
                        pointRadius: 3,
                        fill: false,
                        borderWidth: 3,
                        data:  <?php echo json_encode($monthly_sale ?? []); ?>

                    }]
                },
                options: {
                    legend: {
                        position: "bottom",
                        display: true,
                        labels: {
                            fontColor: '#928F8F'
                        }
                    },
                    scales: {
                        yAxes: [{
                            ticks: {
                                fontColor: "#928F8F",
                                fontStyle: "bold",
                                beginAtZero: true,
                                // maxTicksLimit: 5,
                                padding: 20
                            },
                            gridLines: {
                                drawTicks: false,
                                display: false
                            }
                        }],
                        xAxes: [{
                            gridLines: {
                                zeroLineColor: "transparent",
                                drawTicks: false,
                                display: false
                            },
                            ticks: {
                                padding: 20,
                                fontColor: "#928F8F",
                                fontStyle: "bold"
                            }
                        }]
                    }
                }
            });

            

        })(jQuery)
    </script>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('admin.master', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /var/www/html/tradexpro-admin/Modules/IcoLaunchpad/Providers/../Resources/views/dashboard.blade.php ENDPATH**/ ?>